/*******************************************************************************
 * FoxLiveStreamingMod_HalfStamina generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxLiveStreamingMod_HalfStamina extends FoxLiveStreamingMod;

protected function bool IsPositive()
{
    return false;
    //return ReturnValue;    
}

protected function OnStart()
{
    local FoxPawn FP;

    FP = GetPawn();
    // End:0x68
    if(FP != none)
    {
        FP.DetermineStamina(false);
        FP.Stamina /= 2.0;
    }
    //return;    
}

protected function OnEnd()
{
    local FoxPawn FP;

    FP = GetPawn();
    // End:0x68
    if(FP != none)
    {
        FP.DetermineStamina();
        FP.Stamina *= 2.0;
    }
    //return;    
}

protected function OnDetermineStaminaImpl(out float Stamina)
{
    Stamina /= 2.0;
    //return;    
}
